Bug 1256625 - Conversion of XLS to GDT fails when date-effective and date-expires are included
Conversion of XLS to GDT fails when date-effective and date-expires are included
Status: VERIFIED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity high
: ER3
: 6.2.0
Assigned To: manstis
Lukáš Petrovický
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 03:03 EDT by Anton Giertli
Modified: 2016-04-22 00:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
SpreadsheetWithDateAttributes.xls (55.50 KB, application/x-ole-storage)
2015-08-25 03:03 EDT, Anton Giertli
no flags Details
Log_SpreadsheetWithDateAttribute.txt (8.27 KB, text/plain)
2015-08-25 03:04 EDT, Anton Giertli
no flags Details
Model.jar (3.09 KB, application/zip)
2015-08-25 03:04 EDT, Anton Giertli
no flags Details

  None (edit)
Description Anton Giertli 2015-08-25 03:03:14 EDT
Description of problem:
If I keep the attribues " date-effective and date-expires "  in my xls decision table then the decision table does not get converted to a guided decision table. The error log and xls dt is attached. (Logs_SpreadsheetWithDateAttributes.txt and SpreadsheetWithDateAttributes.xls)

Version-Release number of selected component (if applicable):
BRMS 6.1.2

How reproducible:
always

Steps to Reproduce:
1. Try to convert XLS table to GDT which includes date-effective and date-expires attributes


Actual results:
Conversion of XLS table to GDT fails when XLS includes date-effective and date-expires attributes

Expected results:
Conversion of XLS table to GDT succeeds when XLS includes date-effective and date-expires attributes



Additional info:
The XLS table is valid, it is possible to build it into the KieBase, hence the conversion should work without issues.
Comment 1 Anton Giertli 2015-08-25 03:03:57 EDT
Created attachment 1066748 [details]
SpreadsheetWithDateAttributes.xls
Comment 2 Anton Giertli 2015-08-25 03:04:22 EDT
Created attachment 1066749 [details]
Log_SpreadsheetWithDateAttribute.txt
Comment 3 Anton Giertli 2015-08-25 03:04:37 EDT
Created attachment 1066750 [details]
Model.jar
Comment 8 Martin Zilak 2015-10-26 10:14:51 EDT
I tried reproducing the steps mentioned above and conversion of XLS to GDT works as it should even when it contains date-effective and date-expires attributes. I used BRMS 6.2.0.ER4.

Note You need to log in before you can comment on or make changes to this bug.